/*
 * Votacao.java
 *
 * Created on 1 de Maio de 2006, 09:49
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package votacao;

import java.util.Observable;

public class Votacao extends Observable {
    
    private int qtdVotos1, qtdVotos2, qtdVotos3, qtdVotos4;
    
    /** Creates a new instance of Votacao */
    public Votacao() {
        qtdVotos1 = qtdVotos2 = qtdVotos3 = qtdVotos4 = 0;
    }

    public int getQtdVotos1() {
        return qtdVotos1;
    }

    public void setQtdVotos1(int qtdVotos1) {
        this.qtdVotos1 = qtdVotos1;
        setChanged();
        notifyObservers();
    }

    public int getQtdVotos2() {
        return qtdVotos2;
    }

    public void setQtdVotos2(int qtdVotos2) {
        this.qtdVotos2 = qtdVotos2;
        setChanged();
        notifyObservers();
    }

    public int getQtdVotos3() {
        return qtdVotos3;
    }
    
    public void setQtdVotos3(int qtdVotos3) {
        this.qtdVotos3 = qtdVotos3;
        setChanged();
        notifyObservers();
    }

    public int getQtdVotos4() {
        return qtdVotos4;
    }

    public void setQtdVotos4(int qtdVotos4) {
        this.qtdVotos4 = qtdVotos4;
        setChanged();
        notifyObservers();
    }
}
